package com.unipi.talepis.protal2024_4;

import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import androidx.room.Room;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import java.util.List;

public class MainActivity extends AppCompatActivity {
    EditText amText,emailText,nameText;
    TextView displayText;
    AppDatabase db;
    StudentDao studentDao;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        amText = findViewById(R.id.editTextText1);
        emailText = findViewById(R.id.editTextText2);
        nameText = findViewById(R.id.editTextText3);
        displayText = findViewById(R.id.textView);
        db = Room.databaseBuilder(getApplicationContext(), AppDatabase.class,"mydb")
                .allowMainThreadQueries()
                .build();
        studentDao = db.studentDao();
    }
    public void insert(View view){
        studentDao.insert(new Student(amText.getText().toString(),
                emailText.getText().toString(),
                nameText.getText().toString())/*,
                new Student("aaa",null,null)*/);
        Toast.makeText(this, "Done!", Toast.LENGTH_SHORT).show();
    }
    public void viewAll(View view){
        List<Student> students = studentDao.getAll();
        displayText.setText("");
        students.stream()
                .forEach(s->displayText.setText(displayText.getText()+"\n\n"+s));
    }
}